Bug 113355 - End year of "Year (Two Digits)" not showing any longer in "Tools - Options General" after changing and closing the Options dialog
Summary: End year of "Year (Two Digits)" not showing any longer in "Tools - Options Ge...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-10-22 15:59 UTC by Thomas Hackert
Modified: 2017-10-23 10:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hackert 2017-10-22 15:59:10 UTC
Description:
Hello @ll,
not a crasher but still a little disturbance, sorry ... :( Not sure, when it started (and especially why), but I have seen it a couple of versions in master before the release of alpha1, but did not find the time to report it earlier, sorry ... :( I have not used this assistant before (and IIRC, it was not here the last time), so hopefully I have done all correct and/or find a possibility to bypass it the next time ... ;)

Sorry for the inconvenience
Thomas.

Steps to Reproduce:

Steps to reproduce:
1. Install either 6.0.0.0alpha1 or master
2. go to "Tools - Options - LibreOffice - General" (in master "... LibreOfficeDev - General)
3. look at the right side where it states "Year (Two Digits)"
4. change the year below the section to "2000"
5. press enter
6. reopen "Tools - Options" again
7. look to the right side

Actual Results:  
You will now see "Interpret as years between 2000 and", but not the last year ...

Expected Results:
It should show "Interpret as years between 2000 and 2099".


Reproducible: Always

User Profile Reset: Yes, as mentioned above this is one of the steps of the installing in parallel instructions.

Additional Info:
OS: Debian Testing i686 (but also seen this on my now dead x64 Debian)
LO: Version: 6.0.0.0.alpha1
Build ID: c1d1f859b268f650143d48f294999cda0fa57350
CPU threads: 2; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: de-DE (de_DE.UTF-8); Calc: group

and

LO: Version: 6.0.0.0.alpha0+
Build-ID: 31aeb934dbe101d5047e0b803735031b56b5ce57
CPU-Threads: 2; Betriebssystem:Linux 4.13; UI-Render: Standard; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2017-10-19_00:33:17
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

(both installed in parallel, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux and with de_DE lang- as well as helppack)


User-Agent: Mozilla/5.0 (X11; Linux i686; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Xisco Faulí 2017-10-22 17:57:09 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-09-12 14:50:47 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-09-12 14:50:47 (GMT)
commit	98034b25ee3a2d4b1a98a48c22b21ef2f7ec8b23 (patch)
tree	0a3396d50ea84d99a0a2449bdb40343558014e37
parent	c8aedac356326745c69d6a458b23ca45ab25f28a (diff)
down/up/focus/first/last handler not needed now

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2017-10-23 10:22:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed57f47cdf1cb815df898c6ae63aa6db6d992fd3

Resolves: tdf#113355 need to explicitly call initial TwoFigureHdl

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.